Subject: Ackanomic Digest V2 #130
From: [email-masked] (Ackanomic Digest)
To: ackanomic-digest

Ackanomic Digest       Wednesday, June 11 1997       Volume 02 : Number 130

----------------------------------------------------------------------

Date: Tue, 10 Jun 1997 18:07:57 -0900
From: Phil Ackley <[email-masked]>
Subject: RE: Acka: Ambassadorness 

>
>
>  Either put it to the senate, or just make a proposal each time - there's
>really nothing wrong with the mechanism.
>

The senate would be one option, another would be to leave it with the
discretion of the ambassador.  The third would be to make it possible to
change our alliance via hearing.  I am open to all three options.  Anyone
have a preference before I submit a proposal?

Mr. Lunatic Fringe

------------------------------

Date: Tue, 10 Jun 1997 18:09:52 -0900
From: Phil Ackley <[email-masked]>
Subject: Re: Acka: trade 

>I hereby offer to buy Mr. Lunatic Fringe's Bonus Vote Add-on for A$1.
>
>Guy Fawkes

I hereby accept your offer.

#transfer Guy Fawkes, Mr. Nacho : 1 1$
#transfer Mr. Nacho, Guy Fawkes : 1 BV add-on

Mr Lunatic Fringe

------------------------------

Date: Tue, 10 Jun 1997 18:12:53 -0900
From: Phil Ackley <[email-masked]>
Subject: Re: Acka: Feathers 

>I think the problem is that the kaas are contiguous, so if you are not
>actually entering cow town property, then you are entering sunflare's
>property, which you have no permission to do. (For that matter neither
>do I.) I think one of us is going to have to actually go into cow town.
>Since I'm not about to commit a crime just to get in gaol, (and it's
>quite likely the sentencing process would not put me there,) I'm a bit
>worried that the gaoler will catch on and beat us to it. Maybe we need
>to impeach him. Or kindly ask him to step down. (sorry Mr. Lunatic
>Fringe...)
>
>**two-star

I know whats up here now, but I am not participating because though I may
visit cow town hotel, I may not stay there.

Mr. Lunatic Fringe
Gaoler's now fun without the PHP

------------------------------

Date: Tue, 10 Jun 1997 18:14:02 -0900
From: Phil Ackley <[email-masked]>
Subject: Re: Acka: Lunatic Fringe 

>On Sun, 8 Jun 1997, Phil Ackley wrote:
>> Mr. Lunatic Never Changing My Name Again Fringe
>	I'll believe it when I have a contract to that effect in my
>hands.  :o)
>
>--
>Mohammed
>A trio of macaws suddenly blew up in Indiana.

A contract, you want a sontract? Well, does that constitue your favor? :)

Mr. I still like my new Name Lunatic Finger

------------------------------

Date: Tue, 10 Jun 1997 18:17:41 -0900
From: Phil Ackley <[email-masked]>
Subject: Re: Acka: Re: Observation 

>
>
>Voting Gnome
>waiting for Mr. Nacho's official ack on my purchase.

Hmm, didn't think I had to ack that, but if I do, I do.

Mr Lunatic Fringe

------------------------------

Date: Tue, 10 Jun 1997 18:20:50 -0900
From: Phil Ackley <[email-masked]>
Subject: RE: Acka: Ambassadorness 

>The following is hereby added to the end of Rule 415:
>
>IV.  Ambassador
>
>The President may remove the Ambassador from office.  In doing so, he
>or she may also appoint a replacement Ambassador from among the
>players eligible to hold the position.
>
>{{ 4 points are transferred from Mohammed to Calvin n Hobbes. }}

Okay.  Fine, so you guys can git rid of me, but what does that do to help
change our official status?  Or is a scam afoot?  Was this talk of getting
rid of me supposed to be private? :)

Mr. Still The Ambassador Lunatic Fringe

------------------------------

Date: Tue, 10 Jun 1997 22:52:00 -0900
From: Phil Ackley <[email-masked]>
Subject: Acka: BWG Expert Revocation Petition 

In accordance with the rules I am asking the senate to conduct a vote on
the matter of revoking Malenkai's expert status in the area of Bandwidth
Wasting Gizz.  A proposal has been submitted which would drastically alter
the make-up of BWG in Ackanomic, and Malenkai, a confirmed expert, has not
offered his opinion or advice on the matter.  Furthermore, his recent
messages have been notably lacking in BWG and many other players have had
to take up the slack.  Matter of fact, I believe that most of the recent
identifications of BWG (if it is indeed that) have come from their
respective authors, and not from the supposed expert.

>Proposal 2060
>Frivolous E-mail
>CV1701

Now, if defense of Malenkai's alleged expertise, I would like to quote the
following address  by  the esteemed senator Robert Sevin to senate in
defense of *my* Expert Status.

>The following criteria are what an Expert is supposed to meet, per the rules:
>---
>
>1. The player must be well versed in all rules and CFJs relevant to the area.
>2. The player must be keeping up to date with any relevant new proposals.
>3. The player must be honest, and willing to interpret the rules when a
>conflict arises that is relevant to their area of Expertness. They must do
>so without bias.
>4. The area must be well-defined and specific.
>5. The area must not be too broad (ie "the rules" is too broad, but "Acka
>economy" isn't).
>6. The area must not be so simple that everyone understands it well.
>
>---
>
>Malenkai's reasons to remove Mr Lunatic Fringe's Expert status follow:
>
>---
>
>
>1) As was noted at the time of application, Headwear, although a
>vital portion of Acka's rules, is a very narrow area of Acka's rules.
>
>2) Mr. Nacho was asleep at the switch when Malenkai became eligible
>for a Silly Vacation Hat.  Any Expert in the area, especially in an
>area so narrow, would have and should have notified the Acting Speaker
>of the event.  Had he been on top of 5 or so other occurrances at the
>time I would understand the oversight; but I do not in this case.
>
>3) Mr. Nacho, our resident Expert, has been notably silent on whether
>Malenkai is required to appoint a Mad Hatter, or whether, in fact,
>Malenkai is currently wearing a Platonic SVH that simply has yet to be
>described.  Its not like there are a million other issues about Headwear
>currently before the Expert :)
>
>4) Mr. Nacho has given no visible evidence of coming close to finding
>the Map of Jara.
>
>---
>
>The 2nd complaint assumes that an Expert is obliged to police their
>particular area of expertise. This is not one of the criteria. Had someone
>requested Mr Lunatic Fringe's assistance in a matter related to Acka
>Headwear, and he refused, then I would be willing to concede this point, but
>as it is, the 2nd complaint is invalid.
>
>As for the 3rd complaint, I do not believe Mr Lunatic Fringe was consulted,
>and therefore the 3rd complaint is invalid also.
>
>I'm not sure I follow the 4th complaint, but as far as I can tell, it
>implies that Mr Lunatic Fringe was supposed to do something that he failed
>to do. None of the criteria require him to actively do anything unless
>requested to do so.
>
>So, the only real question is whether or not the 1st complaint is valid. It
>basically claims that "Acka Headwear" is too narrow of a topic to be an
>Expert in, as described in criteria 5. However, this was already discussed
>when he was originally given Expert status. I quote Mr Lunatic Fringe's
>original application for Expert status:
>
>" In light of this decision, I am once again formally applying for
> Expert Status on the subject of "Ackanomic Headwear".  I am well
> qualified.  I am the foremost designer of Prosthetic Foreheads
> (asSPEC and otherwise) and the author of the silly vacation hat
> rule. I fought a duelk (guberniya) to defend the honor of Ackanomic
> Headwear. The only person (well, undead) who came close to matching
> my expertise in this area is Guy Fawkes."
>
>The decision referred to in the first line, I believe, was the approval of
>Malenkai as an Expert in the area of "Bandwidth-Wasting Gizz", which the
>Senate approved. It seems we are left with two options:
>
>Re-evaluate Malenkai's Expert status also
>or
>Re-affirm our past decision
>
>The precedent seems to be set that Acka Headwear is an acceptable area of
>Expertise, being that the only objection is it's narrowness, and that
>complaint was considered unfounded previously, in light of the precedent set
>by giving Malenkai Expert status in "Bandwidth-Wasting Gizz".
>
>I vote NO on the move to remove Mr Lunatic Fringe's Expert status, and I
>urge all of you to do the same (or change your votes, if you already voted).
>Remember, we need to publicly post our reasoning if we do so, and I don't
>think we have a good enough reason to do so, unless we want to go back and
>revise all of our Expert decisions.

Mr. Lunatic Fringe

------------------------------

Date: Wed, 11 Jun 1997 07:50:50 -0400 (EDT)
From: "A.K.A. TheWiz" <[email-masked]>
Subject: Re: Acka: Observation

>>  My main objection is this:  in what way is this different from creating
>>entirely seperate Nomics?
>
>Because they are all governed by the same Global Ruleset. Because there may
>be Global Points, that members of all townships can gain. There may be

  Hum, the United Games of Ackanomica...  Has a nice ring to it.  I'm
still not for this (I think that's what InterNomic or a variant thereon is
for), but I suppose I'm no longer against it.

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Wed, 11 Jun 1997 07:54:29 -0400 (EDT)
From: "A.K.A. TheWiz" <[email-masked]>
Subject: Re: Acka: Observation

>> about people performing actions solely to gain or lose points. Is the system
>> fun and harfy enough that we want to keep it?
>	No.  (Speaking for myself only of course.)
  Yes.  (Speaking for myself only of course.)

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Wed, 11 Jun 1997 08:04:53 -0400 (EDT)
From: "A.K.A. TheWiz" <[email-masked]>
Subject: Re: Acka: Announcements (was Re: Acka: Observation)

>If I do become web-harfer, this is probably the way I'll do it.  I mean,
>I've got at least two CGI scripts like this on my site alone, and I did one
>up for a commercial customer last year.  And if accesses are as infrequent as
>/dev/joe says, it won't be too much of a problem anyway.  I'm sure my
>Random Band Name Server uses much more CPU time.  :-)

  Just a shot in the dark:  it would be extremely useful to be able to
load rules one at a time.

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Wed, 11 Jun 1997 05:30:16 -0700 (PDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Feathers

> Beginning at the southwest corner of Cow Town Hotel(though, as my
> Evil Twin noted, not entering it), I proceed north 1972 paces.  On
> the ground I inscribe "PLEASE GIVE UP".  Then, using "a strong
> shovel", I dig.

Alfvaen has found Treasure 141, consisting of the Hubert Feathers.

The map to Treasure 141 read:

BEGIN AT THE SOUTHWEST CORNER OF COW TOWN HOTEL
PROCEED NORTH A NUMBER OF PACES EQUAL TO THE
YEAR OF THE CONCEPTION OF INTERCAL

INSCRIBE ON THE GROUND THE LAST STATEMENT OF
THE SAMPLE INTERCAL PROGRAM IN SECTION TWO
WITH A STRONG SHOVEL DIG

Alfvaen has also found Treasure 142, consisting of 5 Processing Chips,
10 PFbreadbox, A$20, the Gravitational Monople, and the Little Bag O'
Chips I.

The map to Treasure 142 read:

Find Treasure 141.

I look forward to Alfvaen's description of his search (as well as
two-star's, who just barely failed to fulfill the conditions).

And a final note to Malenkai, our eternally industrious
Treasure-harfer: the last Clue on the Treasure page can be put under
T141. For the record, the hidden message was:

Tc tn  Gc dcr Frc . it ncan  tn t vc ' c cr tnc r yn  t a k
To the Golden Frog: it means that you're on the right track.

breadbox

------------------------------

Date: Wed, 11 Jun 1997 09:11:45 -0500 (CDT)
From: "Joseph W. DeVincentis" <devjoe>
Subject: Re: Acka: trade

> I hereby accept your offer.
> 
> #transfer Guy Fawkes, Mr. Nacho : 1 1$
            vvvvvvvvv   ^^^^^^^^^
> #transfer Mr. Nacho, Guy Fawkes : 1 BV add-on
> 
> Mr Lunatic Fringe

Poor ex-snowgod can't even remember his own name any more.

Hey, Mr. Fringe, you're not a Dorito any more!!

/dev/joe

------------------------------

Date: Wed, 11 Jun 1997 09:11:41 -0500 (CDT)
From: Mitchell Harding <[email-masked]>
Subject: Re: Acka: Observation 

>>> about people performing actions solely to gain or lose points. Is the system
>>> fun and harfy enough that we want to keep it?
>>	No.  (Speaking for myself only of course.)
>  Yes.  (Speaking for myself only of course.)

Harf. (Speaking only for my small African nation, of course.)

Robert Sevin

------------------------------

Date: Wed, 11 Jun 1997 10:04:32 -0500 (CDT)
From: "Joseph W. DeVincentis" <devjoe>
Subject: Re: Acka:  P2044 accepted (Acka does not come equipped with a floating-point unit)

> Text of accepted proposal:
> 
> Proposal 2044
> Acka does not come equipped with a floating-point unit
> /dev/joe
> Distributed at 15:18:21 on Tuesday, 3 June 1997
> 
> 
> 1. All trinkets which are worth a fractional number of A$ are transformed
>    into their value in A$, which is given to the treasury.  All fractional
>    A$ are returned to the treasury, then recombined into whole A$.  All
>    non-A$ fractional entities are destroyed.

#award /dev/joe: -0.5 processing chip
#award Antimatter: -100 really cheap trinkets
#award Red Barn: -117649 Quite Garish Ties

/dev/joe
Even a bigger pile than my prosthetic foreheads...

------------------------------

Date: Wed, 11 Jun 1997 09:02:50 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Feathers

> > Beginning at the southwest corner of Cow Town Hotel(though, as my
> > Evil Twin noted, not entering it), I proceed north 1972 paces.  On
> > the ground I inscribe "PLEASE GIVE UP".  Then, using "a strong
> > shovel", I dig.
> 
> Alfvaen has found Treasure 141, consisting of the Hubert Feathers.

I blow a very polite raspberry in the general direction of my Evil Twin,
who is still standing outside of Sunflare's House.  :-)

> The map to Treasure 141 read:
> 
> BEGIN AT THE SOUTHWEST CORNER OF COW TOWN HOTEL
> PROCEED NORTH A NUMBER OF PACES EQUAL TO THE
> YEAR OF THE CONCEPTION OF INTERCAL
> 
> INSCRIBE ON THE GROUND THE LAST STATEMENT OF
> THE SAMPLE INTERCAL PROGRAM IN SECTION TWO
> WITH A STRONG SHOVEL DIG

> I look forward to Alfvaen's description of his search (as well as
> two-star's, who just barely failed to fulfill the conditions).

Well.  I knew that the text of the treasure map breadbox supplied had to
have some kind of concealed message.  I also quickly realized that
"selecting every third soldier in each group to form an army" was
significant(though "Task the Tenth" sent me down a few blind alleys).
It took some time, however, to try selecting every third letter, every
third character, every third word, until I ended up with the third
letter in every word, which spelled out

"send mail to breadbox with a subject of the 1st rsa challenges magic words"

(By the way, I very much enjoyed the last three sentences of the clue,
which contained only one word each with more than two letters.  'Be as
redditive as it is in Ys' is now in my tagline file.  :-)

After some web-searching, I discovered a page talking about the 1st RSA
Challenge, a test of the RSA encryption scheme, which, when solved, had
yielded the message "THE MAGIC WORDS ARE SQUEAMISH OSSIFRAGE".  Sending
email to breadbox with the subject "SQUEAMISH OSSIFRAGE", I expected to
have the feathers in my possession.  Instead, all I got was a Summoned
Spider(was that an automatic script?  Written in Intercal, perhaps?  :-)
who delivered to me the _real_ map(which I include here in its entirety, my
apologies for its length, which is not my fault):

#1#190
#2#160
#3#192
#4#80
#5#32
#6#110
#7#130
#8#88
#9#38
#10#218
#11#24
#12#112
#13#158
#14#58
#15#216
#16#72
#17#128
#18#24
#19#40
#20#72
#21#216
#22#160
#23#38
#24#66
#25#208
#26#168
#27#216
#28#208
#29#88
#30#70
#31#18
#32#144
#33#94
#34#66
#35#208
#36#8
#37#230
#38#218
#39#56
#40#8
#41#120
#42#110
#43#242
#44#32
#45#200
#46#136
#47#112
#48#226
#49#70
#50#192
#51#88
#52#48
#53#32
#54#0
#55#128
#56#30
#57#146
#58#128
#59#168
#60#32
#61#24
#62#14
#63#130
#64#126
#65#146
#66#200
#67#248
#68#112
#69#160
#70#88
#71#70
#72#18
#73#144
#74#94
#75#250
#76#136
#77#192
#78#32
#79#216
#80#198
#81#98
#82#24
#83#224
#84#40
#85#80
#86#46
#87#218
#88#56
#89#238
#90#218
#91#24
#92#112
#93#82
#94#182
#95#248
#96#32
#97#56
#98#70
#99#18
#100#144
#101#94
#102#218
#103#24
#104#112
#105#158
#106#66
#107#208
#108#128
#109#176
#110#32
#111#152
#112#224
#113#152
#114#160
#115#128
#116#110
#117#18
#118#144
#119#94
#120#114
#121#32
#122#72
#123#136
#124#88
#125#136
#126#64
#127#80
#128#226
#129#0
#130#190
#131#32
#132#168
#133#8
#134#120
#135#184
#136#80
#137#160
#138#158
#139#18
#140#128
#141#110
#142#218
#143#24
#144#112
#145#158
#146#34
#147#152
#148#88
#149#72
#150#56
#151#80
#152#30
#153#218
#154#24
#155#112
#156#158
#157#210
#158#176
#159#184
#160#160
#161#38
#162#58
#163#160
#164#168
#165#88
#166#136
#167#240
#168#16
#169#48
#170#72
#171#38
#172#18
#173#144
#174#18
#175#38
#176#24
#177#112
#178#158
#179#58
#180#72
#181#208
#182#168
#183#216
#184#144
#185#158
#186#114
#187#32
#188#72
#189#136
#190#88
#191#136
#192#64
#193#80
#194#46
#195#250
#196#192
#197#88
#198#16
#199#152
#200#200
#201#208
#202#174
#203#114
#204#32
#205#110
#206#58
#207#40
#208#224
#209#152
#210#152
#211#160
#212#128
#213#110
#214#218
#215#64
#216#248
#217#162
#218#102
#219#88
#220#104
#221#24
#222#14
#223#130
#224#126
#225#58
#226#160
#227#224
#228#88
#229#128
#230#144
#231#222
#232#58
#233#184
#234#32
#235#136
#236#200
#237#112
#238#46
#239#226
#240#144
#241#176
#242#146

Again, I tried to decode this one using any of a number of techniques--
straight conversion to ASCII(but many of the characters were not printable),
summation, difference, reversal, even subtracting a Fibonacci sequence
(while I had the program lying around from a previous treasure...:-)
Nothing yielded any results.  I groused about it a few times on the public
forum, and eventually breadbox told me there was a small clue in one of the
email messages he'd sent out...  After flipping through the archives, I
suddenly knew it had to be something to do with Intercal.

So I looked over the Intercal manual, tried subjecting the pairs of numbers
above to the basic Intercal operations(a very idiosyncratic set, I must
say), but to no avail.  But I happened upon another page which noted that
the output routine for Intercal used the differences of _reversed_
characters.  (So if only I'd put differences and reversing together...)

What I got when I did that was still mostly gibberish to me(I suspect I
should have used EBCDIC instead of ASCII), but the character set was small
enough that I could decode it as a cryptogram.

This is the point I was up to the night before two-star made his
attempt at the treasure.  In the morning I quickly solved the
cryptogram, and when I did so, I got

begin at the southwest corner of cow town hotel
proceed north a number of paces equal to the
year of the conception of intercal
inscribe on the ground the last statement of
the sample intercal program in section two
with a strong shovel dig

It was only on observing the failure of two-star's attempt(which was,
in retrospect, no less successful than my attempt would have been had I
solved it first)that it occurred to me that perhaps a trinket was needed,
as have been in many other treasure solutions I've seen.  So I created the
strong shovel, and I tried it myself.  I'd actually thought it hadn't
worked, and was going to let two-star try his technique, but I guess I was
wrong.

As a consolation prize to two-star, I offer him the strong shovel, for
possible future use.  :-)

> And a final note to Malenkai, our eternally industrious
> Treasure-harfer: the last Clue on the Treasure page can be put under
> T141. For the record, the hidden message was:
> 
> Tc tn  Gc dcr Frc . it ncan  tn t vc ' c cr tnc r yn  t a k
> To the Golden Frog: it means that you're on the right track.

It was only after I'd solved the first part that I realized this was a
reference to "Close but no cigar", which is what you get if you take the
_first_ letters of the words of the first map...:-)  (I'd noticed this
phrase in the Golden Frog's encrypted speech earlier, but didn't know what
it referred to...)

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--Our Lady Peace:Superman's Dead
Current Book--Sean Stewart:Cloud's End
"Very much money because, Terry, people will believe it."  [Racter]

------------------------------

Date: Wed, 11 Jun 1997 10:17:47 -0500 (CDT)
From: "Joseph W. DeVincentis" <devjoe>
Subject: Re: Acka: Feathers

> "send mail to breadbox with a subject of the 1st rsa challenges magic words"
> 
> (By the way, I very much enjoyed the last three sentences of the clue,
> which contained only one word each with more than two letters.  'Be as
> redditive as it is in Ys' is now in my tagline file.  :-)
> 
> After some web-searching, I discovered a page talking about the 1st RSA
> Challenge, a test of the RSA encryption scheme, which, when solved, had
> yielded the message "THE MAGIC WORDS ARE SQUEAMISH OSSIFRAGE".

This is where I got stuck on that treasure hunt.

I found a web-page that discussed the results of the 1st and 2nd RSA
Challenges (40 and 48 bit keys, respectively), and according to what
I found, the first one's secret message was "This is why you should use
a longer key." and the second challenge's message was "The magic words
are Security Dynamics and RSA."  I sent both of these to breadbox,
and he sent back some unhelpful response, and I was stuck.  Where did
you find this *other* RSA Challenge?

I also saw the work on the 3rd RSA challenge, where computers all over
the internet are attacking a 56-bit key, and look like they'll break it
in a few years.

/dev/joe

------------------------------

Date: Wed, 11 Jun 1997 10:18:21 -0500
From: "Bollinger, John C." <[email-masked]>
Subject: Acka: Gift

I hereby give breadbox the Pedestal of *ping*.

#transfer ThinMan, breadbox: Pedestal of *ping*: gift

ThinMan

------------------------------

Date: Wed, 11 Jun 1997 20:25:43 -0700
From: **Alexandre Muniz <[email-masked]>
Subject: Re: Acka: Feathers

> So I looked over the Intercal manual, tried subjecting the pairs of numbers
> above to the basic Intercal operations(a very idiosyncratic set, I must
> say), but to no avail.  But I happened upon another page which noted that
> the output routine for Intercal used the differences of _reversed_
> characters.  (So if only I'd put differences and reversing together...)
> 
> What I got when I did that was still mostly gibberish to me(I suspect I
> should have used EBCDIC instead of ASCII), but the character set was small
> enough that I could decode it as a cryptogram.

It wasn't a cryptogram, it was straight bit-reversed ascii. Did you 
subtract the first character from 00? I didn't have to solve it as a 
cryptogram, I just read it as I went along (although I did it all by 
hand, so it took a while. And the reason I did not think I needed a 
trinket was that, unlike burying hubert feathers or giving nethack to 
the mueseum, digging is not a defined method of manipulating an entity, 
so I did not think I needed a defined entity; I thought the words would 
be enough.

**two-star

------------------------------

Date: Wed, 11 Jun 1997 09:24:51 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Feathers

> > After some web-searching, I discovered a page talking about the 1st RSA
> > Challenge, a test of the RSA encryption scheme, which, when solved, had
> > yielded the message "THE MAGIC WORDS ARE SQUEAMISH OSSIFRAGE".
> 
> This is where I got stuck on that treasure hunt.
> 
> I found a web-page that discussed the results of the 1st and 2nd RSA
> Challenges (40 and 48 bit keys, respectively), and according to what
> I found, the first one's secret message was "This is why you should use
> a longer key." and the second challenge's message was "The magic words
> are Security Dynamics and RSA."  I sent both of these to breadbox,
> and he sent back some unhelpful response, and I was stuck.  Where did
> you find this *other* RSA Challenge?

I did a Web search, probably the same as you...the page I happened upon
discussed an RSA challenge from before they thought they needed to number
them, I believe.  The challenge was issued in 1997 and not solved until
just a few years ago.  Hmmmm....foo.  I thought I'd bookmarked it, but if I
did, it's on my machine at home.  Let me see if I can find it again...
(Except this time I can search on "Squeamish Ossifrage" too...:-)

Ah, here it is, "A Discussion of RSA-129 Activity."
http://www.math.okstate.edu/~wrightd/numthry/rsa129.html .  I'm not sure I
came across the pages you're talking about otherwise I might have been
equally stumped...

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--Our Lady Peace:Superman's Dead
Current Book--Sean Stewart:Cloud's End
All we have to do now is take these lies and make them true somehow
    [George Michael, "Freedom '90"]

------------------------------

Date: Wed, 11 Jun 1997 20:38:59 -0700
From: **Alexandre Muniz <[email-masked]>
Subject: Re: Acka: Feathers

Aaron Humphrey wrote:

> I did a Web search, probably the same as you...the page I happened upon
> discussed an RSA challenge from before they thought they needed to number
> them, I believe.  The challenge was issued in 1997 and not solved until
> just a few years ago.  Hmmmm....foo.  I thought I'd bookmarked it, but if I
> did, it's on my machine at home.  Let me see if I can find it again...
> (Except this time I can search on "Squeamish Ossifrage" too...:-)

I had already read about this challenge, so the answer was worming 
around in my subconscious, and when Alfvaen used the word "squeamish" in 
a post, it clicked, and I did a search on "magic words squeamish" and 
pulled it up immediately. Might have taken quite a bit longer if I 
hadn't heard about the challenge.

**two-star

------------------------------

Date: Wed, 11 Jun 1997 09:41:11 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Feathers

> > So I looked over the Intercal manual, tried subjecting the pairs of numbers
> > above to the basic Intercal operations(a very idiosyncratic set, I must
> > say), but to no avail.  But I happened upon another page which noted that
> > the output routine for Intercal used the differences of _reversed_
> > characters.  (So if only I'd put differences and reversing together...)
> > 
> > What I got when I did that was still mostly gibberish to me(I suspect I
> > should have used EBCDIC instead of ASCII), but the character set was small
> > enough that I could decode it as a cryptogram.
> 
> It wasn't a cryptogram, it was straight bit-reversed ascii. Did you 
> subtract the first character from 00?

Aha!  That was probably it.  I didn't think of that.  :-)  I knew that I
was missing a step, but I was close enough that I could do a one-to-one
mapping of the letters(and symbols)I found to message letters, and I didn't
quibble about the rest.  After all, I had competition here.  :-)

> I didn't have to solve it as a 
> cryptogram, I just read it as I went along (although I did it all by 
> hand, so it took a while. And the reason I did not think I needed a 
> trinket was that, unlike burying hubert feathers or giving nethack to 
> the mueseum, digging is not a defined method of manipulating an entity, 
> so I did not think I needed a defined entity; I thought the words would 
> be enough.

Like I said, I would've done the same as you had I solved it first, and you
would probably have ended up creating "a strong shovel".  Or Mr. Lunatic
Fringe...

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--John Cale:Hallelujah
Current Book--Sean Stewart:Cloud's End
God made everything out of nothing, and it shows.

------------------------------

Date: Wed, 11 Jun 1997 08:48:41 -0700 (PDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Feathers

> This is where I got stuck on that treasure hunt.
> 
> I found a web-page that discussed the results of the 1st and 2nd RSA
> Challenges (40 and 48 bit keys, respectively), and according to what
> I found, the first one's secret message was "This is why you should use
> a longer key." and the second challenge's message was "The magic words
> are Security Dynamics and RSA."  I sent both of these to breadbox,
> and he sent back some unhelpful response, and I was stuck.  Where did
> you find this *other* RSA Challenge?

I'm afraid these are relatively recent challenges.

The original challenge was not an "official" challenge, but just
something Rivest put together for Martin Gardner when he wrote the
1980-something Scientific American column that introduced RSA to the
general public. They offered $100 to anyone who sent them the original
text. As Martin Gardner reported, they estimated that with current
technology it would take quadrillions of years to break it. By 1988
Rivest had lost, and forgot, the original message; this wasn't a
problem, since a decipherment can be verified with RSA, but I think it
indicates their confidence that they would never have to write that
check.

When later mathematical breakthroughs brought the 129-bit key within a
more mangeable time range, only then did the challenge actually
acquire a name (RSA-129), and it was broken by commandeering idle time
on computers all over the Internet. When it was broken (in 1995 or
1996, I forget which), it was a somewhat celebrated event, and partly
led to the coining of the term "cypherpunks", and the motto: "Better
privacy through higher mathematics."

You can find out more about RSA-129, by the way, by going to any web
browser and searching for "ossifrage".

breadbox

------------------------------

Date: Wed, 11 Jun 1997 09:49:53 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Feathers

> > I did a Web search, probably the same as you...the page I happened upon
> > discussed an RSA challenge from before they thought they needed to number
> > them, I believe.  The challenge was issued in 1997 and not solved until
> > just a few years ago.  Hmmmm....foo.  I thought I'd bookmarked it, but if I
> > did, it's on my machine at home.  Let me see if I can find it again...
> > (Except this time I can search on "Squeamish Ossifrage" too...:-)
> 
> I had already read about this challenge, so the answer was worming 
> around in my subconscious, and when Alfvaen used the word "squeamish" in 
> a post, it clicked, and I did a search on "magic words squeamish" and 
> pulled it up immediately. Might have taken quite a bit longer if I 
> hadn't heard about the challenge.

D'oh!  I knew I shouldn't have used that word.  :-)

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--John Cale:Hallelujah
Current Book--Sean Stewart:Cloud's End
This building is so high, the elevator shows movies.

------------------------------

Date: Wed, 11 Jun 1997 09:05:41 -0700 (PDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Feathers

> After some web-searching, I discovered a page talking about the 1st RSA
> Challenge, a test of the RSA encryption scheme, which, when solved, had
> yielded the message "THE MAGIC WORDS ARE SQUEAMISH OSSIFRAGE".  Sending
> email to breadbox with the subject "SQUEAMISH OSSIFRAGE", I expected to
> have the feathers in my possession.  Instead, all I got was a Summoned
> Spider(was that an automatic script?  Written in Intercal, perhaps?  :-)

Not quite. Rather than chance making any mistakes, I did the mailing
by hand. The "Summoned Spider" was a very oblique reference to the
web, indicating that some clues to the nature of the map might be
found from looking at my web pages.

> So I looked over the Intercal manual, tried subjecting the pairs of
> numbers above to the basic Intercal operations(a very idiosyncratic
> set, I must say), but to no avail.  But I happened upon another page
> which noted that the output routine for Intercal used the
> differences of _reversed_ characters.  (So if only I'd put
> differences and reversing together...)

This is one of the reasons I had two stages to the treasure hunt.
Based on /dev/joe's description of how he attacks these sorts of
things, I knew he would be able to decode the real map without knowing
anything about INTERCAL. (The fact that every ASCII number is below
128 means that the bit-reversed values are all even, for example....)
By adding a preliminary stage I hoped to level the playing field a
bit.

> What I got when I did that was still mostly gibberish to me (I
> suspect I should have used EBCDIC instead of ASCII), but the
> character set was small enough that I could decode it as a
> cryptogram.

I imagine you probably forgot to subtract the first number from the
starting value, 00. Or perhaps you simply made a mistake on the first
number? One of the charming features of doing output in INTERCAL is
that if one character is miscalculated, everything after that will
also be wrong.

> It was only on observing the failure of two-star's attempt(which was,
> in retrospect, no less successful than my attempt would have been had I
> solved it first)that it occurred to me that perhaps a trinket was needed,
> as have been in many other treasure solutions I've seen.  So I created the
> strong shovel, and I tried it myself.

I half expected to see someone offer to purchase fnord's trinket - the
Gaol House Rock Shovel.

> It was only after I'd solved the first part that I realized this was
> a reference to "Close but no cigar", which is what you get if you
> take the _first_ letters of the words of the first map...:-) (I'd
> noticed this phrase in the Golden Frog's encrypted speech earlier,
> but didn't know what it referred to...)

Again, this was planted there to give people an indication that
selecting single letters out of consecutive words was the right idea.

breadbox

------------------------------

Date: Wed, 11 Jun 1997 10:05:18 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Acka: Hidden Agenda

I seem to recall that, in some manner or other, the subject of possible
other winning conditions for Acka came up as part of the recent
discussions.  And I happened to be reading over the Phoebe posts, when I
came across Malenkai's from a few months ago, talking about "Hidden
Agendas".

This sounds to me like it would be gangs of fun.  Sort of like playing
the UFO's in Illuminati!, or something.  The only problems I could see
would be a)making sure the conditions would be sufficiently difficult
enough to achieve(at least on the surface), and b)keeping them a
secret.  Paranoid as I am, I don't know if even putting them in the
possession of the Speaker, or other trustworthy Officer, would
necessarily be enough.  (What with Acting Officers, bribes, and, well,
even Speakers want to win once in a while.  :-)

The former could be solved if, instead of getting to choose one's own
conditions, a list of conditions were made up in advance(perhaps by a small
group), and then everyone's were assigned randomly from that list.  That
might still give a small advantage to those who made up the list, though.
("Uh-oh, that proposal's got 8 Z's in it!")  The latter...well, how about
encrypting the list of conditions, and only "unwrapping" them when a player
claims eir conditions are all satisfied?  If the player had half of the key
and the Speaker(or whoever)the other half...?

Anyway, just some thoughts.  I think it would be cool to try.

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--Our Lady Peace:Superman's Dead
Current Book--Sean Stewart:Cloud's End
Gotta love the name "Viking Penguin," don't you?

------------------------------

Date: Wed, 11 Jun 1997 09:11:51 -0700 (PDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Feathers

>> What I got when I did that was still mostly gibberish to me(I suspect I
>> should have used EBCDIC instead of ASCII), but the character set was small
>> enough that I could decode it as a cryptogram.
> 
> It wasn't a cryptogram, it was straight bit-reversed ascii. Did you 
> subtract the first character from 00? I didn't have to solve it as a 
> cryptogram, I just read it as I went along (although I did it all by 
> hand, so it took a while.

I imagine it did.

Of course, if you had installed the INTERCAL compiler, you could have
just filled in the lines of the map:

#1#190
#2#160
#3#192

like so:

DO ,1SUB#1 <- #190
DO ,1SUB#2 <- #160
DO ,1SUB#3 <- #192

... added a "PLEASE READ OUT ,1", and compiled and run it. I created
the map by taking a working program and removing all the extra
characters.

Of course, installing an INTERCAL compiler is not something one should
do lightly.... It might get used.

breadbox

------------------------------

Date: Wed, 11 Jun 1997 10:12:39 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Feathers

> > numbers above to the basic Intercal operations(a very idiosyncratic
> > set, I must say), but to no avail.  But I happened upon another page
> > which noted that the output routine for Intercal used the
> > differences of _reversed_ characters.  (So if only I'd put
> > differences and reversing together...)
> 
> This is one of the reasons I had two stages to the treasure hunt.
> Based on /dev/joe's description of how he attacks these sorts of
> things, I knew he would be able to decode the real map without knowing
> anything about INTERCAL. (The fact that every ASCII number is below
> 128 means that the bit-reversed values are all even, for example....)

This was a big clue for me, once I realized it--actually, I'd started out
thinking it was a sort of linked list.  You know "#1#128" would lead to
"#128#35" would lead to "#35#67", etc., and that would spell out something;
that was when I discovered they were all even.  Which meant reversing
them(or dividing by two)for ASCII, but I was missing that step.

> > What I got when I did that was still mostly gibberish to me (I
> > suspect I should have used EBCDIC instead of ASCII), but the
> > character set was small enough that I could decode it as a
> > cryptogram.
> 
> I imagine you probably forgot to subtract the first number from the
> starting value, 00. Or perhaps you simply made a mistake on the first
> number? One of the charming features of doing output in INTERCAL is
> that if one character is miscalculated, everything after that will
> also be wrong.

I did forget to subtract.  But I was still able to decode it and get the
answer.

> > It was only on observing the failure of two-star's attempt(which was,
> > in retrospect, no less successful than my attempt would have been had I
> > solved it first)that it occurred to me that perhaps a trinket was needed,
> > as have been in many other treasure solutions I've seen.  So I created the
> > strong shovel, and I tried it myself.
> 
> I half expected to see someone offer to purchase fnord's trinket - the
> Gaol House Rock Shovel.

That had occurred to me, too.  :-)

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Song In My Head--Tommy Tutone:867-5309(Jenny)
Current Book--Sean Stewart:Cloud's End
Could you continue your petty bickering? I find it most intriguing.

------------------------------

End of Ackanomic Digest V2 #130
*******************************